Subject: Re: [PATCH] powerpc/sequoia: fix NAND partitions not to overlap

From: Pavel Machek <[email-masked]>
Date: Fri, 19 May 2017 13:18:37 +0200

Hi!

> >>> > > Signed-off-by: Pavel Machek <[email-masked]>
> >>> > 
> >>> > Ping? Two partitions at same place are bad news...
> >>> 
> >>> Please expand on "bad news"?  What are the runtime effects of this
> >>> change?  Decisions about which kernel(s) to patch depend on this info.
> >>
> >> Well... two partitions at same place. If you use one, you will corrupt
> >> information on the other one.
> >>
> >> OTOH this moves partition around (so that they don't overlap) so it is
> >> probably not stable candidate.
> >>
> >> I guess this is not huge issue; people using these boards probably
> >> have custom dts changes, anyway...
> >
> > Or no one's even using it anymore.
> >
> > I can take this via powerpc, I won't mark it for stable etc.
> 
> It became:
> 
>     Author:     Pavel Machek <[email-masked]>
> 
>     powerpc/sequoia: Fix NAND partitions not to overlap
>     
>     Currently the DTS defines two partitions at the same addresses, if you
>     use one, you will corrupt information on the other one. Fix it by
>     shifting the second partition.
>     
>     Signed-off-by: Pavel Machek <[email-masked]>
>     [mpe: Reconstruct change log from email thread]
>     Signed-off-by: Michael Ellerman <[email-masked]>
> 
> 
> Minor nit, your From: address doesn't match your Signed-off-by: address,
> which trips my "check patch is signed-off-by author" script. I can
> just ignore it, but I think it's preferable if they match.

Sorry about that (I have automatic scripts changing From:). It is
still me, but I guess denx should get the credit here, so you can use.

Signed-off-by: Pavel Machek <[email-masked]>

Thanks,
									Pavel
-- 
(english) http://www.livejournal.com/~pavelmachek
(cesky, pictures) http://atrey.karlin.mff.cuni.cz/~pavel/picture/horses/blog.html